<div class="line">
  <lib-single-referring-1-control-at-time-form-validation
    #single41ControlAtTimeValidator
    [messages]="{
      required: 'não pode ficar em branco',
      minlength: 'deve ter no mínimo 4 caracteres'
    }"
    [nameTranslations]="{
      name: 'Nome',
      name2: 'Nome 2'
    }"
  ></lib-single-referring-1-control-at-time-form-validation>
</div>

<form
  [formGroup]="form"
  (ngSubmit)="onSubmit()"
>

  <div class="line">
    <input
      formControlName="name"
      placeholder="nome"
    />
  </div>

  <div class="line">
    <input
      formControlName="name2"
      placeholder="nome 2"
    />

  </div>

  <div class="actions">
    <button type="submit">Salvar</button>
  </div>

</form>
